Shopify is an e-commerce platform that allows businesses to create online stores and sell products or services. It provides a range of tools and features for inventory management, order processing, payment integration, and website customization, enabling businesses to easily set up and operate their online storefronts.
Refer to our website for the list of metrics and attributes available in Dataddo.
Refer to Shopify's official documentation to see all available endpoints from the Shopify API.
Authorize Connection to Shopify
In Shopify
To authorize your Shopify account, you will need your API access token.
Create an App
- Make sure you are logged in to your Shopify account and navigate to the Developer Dashboard page.
- In the top-right corner, click Create app.

- Name your app and click Create.
- On the Create a version page, scroll down to Access to add the following admin API scopes. You can copy paste the following list or select it from the Select scopes menu.
read_assigned_fulfillment_orders, read_customers,read_fulfillments, read_merchant_managed_fulfillment_orders, read_orders, read_products, read_third_party_fulfillment_orders
- Click Release to save the app version with updated scopes.
- On the Home tab, click Install app. Select which Shopify store you want to install the app to. Click Install.

- Back in your Developer Dashboard, select the newly created app and navigate to the Settings page.
- From the Credentials section, copy your Client ID and Client Secret. These will be used to retrieve your access token.

Obtain Your Access Token
Exchange your client credentials for an access token to authenticate your API requests. This is a server-to-server request.
- Endpoint:
POST https://{shop}.myshopify.com/admin/oauth/access_token - Headers:
Content-Type: application/x-www-form-urlencoded - Body Parameters
| Parameter | Value | Description |
|---|---|---|
client_id |
string | Your app's client ID found in the Developer Dashboard. |
client_secret |
string | Your app's client Secret. |
grant_type |
string | Must be set to client_credentials. |
Copy the access token from the response. You will need this token for account authorization in Dataddo:
{
"access_token": "shpat_a1b2c3d4f5g6h7j8k9l10",
"scope": "read_assigned_fulfillment_orders,read_customers,read_fulfillments,read_merchant_managed_fulfillment_orders,read_orders,read_products,read_third_party_fulfillment_orders",
"expires_in": 86399
}
In Dataddo
- On the Authorizers page, click on Authorize New Service and select Shopify.
- Fill in the following fields:
- Subdomain: Shopify subdomain name, aka the name of your shop=. E.g.
agencynamefromagencyname.myshopify.com. - Access Token: Your Shopify API access token.
- Subdomain: Shopify subdomain name, aka the name of your shop=. E.g.
- Rename your authorizer for easier identification and click on Save.
How to Create a New Shopify Data Source
- On the Sources page, click on the Create Source button.
- Select the connector from the list and name your data source.
- On the Dataset step, select your dataset.DATADDO TIP
If you're unsure which dataset to select, use the search bar to look for datasets with the desired attributes or metrics.
- On the Account step select your authorizer from the drop-down menu.Didn't find your authorizer?
Click on Add new Account at the bottom of the drop-down and follow the on-screen prompts. You can also go to the Authorizers tab and click on Add New Service.
- On the Attributes and Metrics step, select the metrics and attributes you want to extract.

- On the Metadata step, select which metadata fields such as extraction time to add to your data.
- On the Snapshot step:
- Configure your sync frequency or click Show advanced settings to set the exact synchronization time.DATADDO TIP
To load historical data, refer to the Data Backfilling article.
- [Optional] Enable the Allow Empty Data Extractions toggle to allow the extraction when no data is available.
- Configure your sync frequency or click Show advanced settings to set the exact synchronization time.
- In the top-right corner, click Test Data button to preview extracted data. Adjust the date range for specific time frame.
- Click on Save and congratulations, your new data source is ready!
Limitations
Multi-Account Extraction
If you have multiple Shopify accounts and would like to extract the same data from all of them, you can do it via data union.
Troubleshooting
Data Preview Unavailable
No data preview when you click on Test Data might be caused by an issue with your source configuration. The most common causes are:
- Date range: Try a smaller date range. You can load the rest of your data afterward via manual data load.
- Insufficient permissions: Please make sure your authorized account has at least admin-level permissions.
Insufficient Scopes Error
ERROR MESSAGE
Cannot Access Data: Insufficient Scopes
If you cannot access some of your data, please double-check which permissions you've given to Dataddo. In majority of cases, you will need to add additional permissions to your account.
Example
To gain access to the fulfillmentOrders field from the Orders dataset, give Dataddo at least one of the following scopes:
read_assigned_fulfillment_ordersread_merchant_managed_fulfillment_ordersread_third_party_fulfillment_orders
Related Articles
Now that you have successfully created a data source, see how you can connect your data to a dashboarding app or a data storage.
Sending Data to Dashboarding Apps
Sending Data to Data Storages
Other Resources